{
	"root": {
		"linksReferences": [
			"vegetarians",
			"find-owner",
			"add-owner"
		]
	},
	"vegetarians": {
		"method": "GET",
		"URL": "http://localhost:8080/vets.html",
		"linksReferences": [
			"*root",
			"view-as-xml",
			"view-as-json"
		]
	},
	"view-as-xml": {
		"method": "GET",
		"URL": "http://localhost:8080/vets.xml"
	},
	"view-as-json": {
		"method": "GET",
		"URL": "http://localhost:8080/vets.json"
	},
	"find-owner": {
		"method": "GET",
		"URL": "http://localhost:8080/owners?lastName=<|${1-9999}>",
		"linksReferences": [
			"*root",
			"view-owner"
		]
	},
	"add-owner": {
		"method": "GET",
		"URL": "http://localhost:8080/owners/new",
		"linksReferences": [
			"save-owner"
		]
	},
	"save-owner": {
		"method": "POST",
		"URL": "http://localhost:8080/owners/new",
		"data": "firstName=$&lastName=$&address=$&city=$&telephone=$",
		"linksReferences": [
			"view-owner"
		]
	},
	"view-owner": {
		"method": "GET",
		"URL": "http://localhost:8080/owners/${1-999}",
		"linksReferences": [
			"*root",
			"edit-owner",
			"add-pet",
			"edit-pet",
			"add-visit"
		]
	},
	"edit-owner": {
		"method": "POST",
		"URL": "http://localhost:8080/owners/${1-999}/edit",
		"data": "firstName=$&lastName=$&address=$&city=$&telephone=$",
		"linksReferences": [
			"*view-owner"
		]
	},
	"add-pet": {
		"method": "POST",
		"URL": "http://localhost:8080/owners/${1-999}/pets/new",
		"data": "id=&name=$&birthDate=${1995-2020}-${1-12}-${1-28}&type=${1-99}",
		"linksReferences": [
			"*view-owner"
		]
	},
	"edit-pet": {
		"method": "POST",
		"URL": "http://localhost:8080/owners/${1-999}/pets/${1-999}/edit",
		"data": "id=&name=$&birthDate=${1995-2020}-${1-12}-${1-28}&type=${1-99}",
		"linksReferences": [
			"*view-owner"
		]
	},
	"add-visit": {
		"method": "POST",
		"URL": "http://localhost:8080/owners/${1-999}/pets/${1-999}/visits/new",
		"data": "date=${1995-2020}-${1-12}-${1-28}&description=$&petId=${1-999}",
		"linksReferences": [
			"*view-owner"
		]
	}
}